Categories:
  - Internet
  - Phone & SMS
License: AGPL-3.0-only
AuthorName: Famedly
AuthorWebSite: https://krille-chan.github.io
WebSite: https://fluffychat.im
SourceCode: https://github.com/krille-chan/fluffychat
IssueTracker: https://github.com/krille-chan/fluffychat/issues
Translation: https://hosted.weblate.org/projects/fluffychat/
Changelog: https://github.com/krille-chan/fluffychat/blob/HEAD/CHANGELOG.md
Donate: https://ko-fi.com/krille
Liberapay: KrilleChritzelius

AutoName: FluffyChat

RepoType: git
Repo: https://github.com/krille-chan/fluffychat.git

Builds:
  - versionName: 1.6.0
    versionCode: 2324
    commit: 77cf773d71203962eef1f99775e2e059901c1e14
    sudo:
      - apt-get update
      - apt-get install -y ninja-build openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.18.1'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.6.2
    versionCode: 2325
    commit: 67f5a76f166a6cf8a5984c4956f89badbd05a376
    sudo:
      - apt-get update
      - apt-get install -y ninja-build openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.18.1'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.6.3
    versionCode: 2326
    commit: 9ed1fcf2c72f041baab1ffaf824e0fdb3e4be216
    sudo:
      - apt-get update
      - apt-get install -y ninja-build openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.18.1'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.6.4
    versionCode: 2327
    commit: 560ee3d39ff8197429949ff8be900de818147230
    sudo:
      - apt-get update
      - apt-get install -y ninja-build openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.0
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.18.1'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.7.0
    versionCode: 2328
    commit: 19c4756e4773261807c3efb9e1cc0c32afbfbefc
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild: sdkmanager 'cmake;3.18.1'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.7.1
    versionCode: 2329
    commit: 029ebdeab4e2dd6a94924a1d3eec389a0cb6d150
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
      - sed -i -e 's/104.5112.03/104.5112.05/' .pub-cache/hosted/pub.dartlang.org/flutter_webrtc-0.9.14/android/build.gradle
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.7.2
    versionCode: 2330
    commit: 7d5d2cf63c709d53cc0e407bb40042a6c3f07fb1
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.3.8
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.9.0
    versionCode: 2331
    commit: 2cab1fb03b8aaab3d14e35dc1d09c7232c818e57
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.3
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.10.0
    versionCode: 3253
    commit: 535081b4830813065655d62b6d0656210270faf4
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.3
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.11.0
    versionCode: 3254
    commit: b39018e454fd72870e1144b24bf1dec7bb65a721
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.3
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.11.2
    versionCode: 3360
    commit: dd86a0fb0041a8a6db9ccd36e632f622f08541cc
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@3.7.11
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.12.0
    versionCode: 3452
    commit: 324da027e9a211bb03ac621007963950df13c8ec
    sudo:
      - apt-get update
      - apt-get install -y ninja-build
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - export version=$(grep "^\ \ FLUTTER_VERSION" .gitlab-ci.yml | cut -d " " -f4)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

  - versionName: 1.13.0
    versionCode: 3514
    commit: 28c3dfa2bb0c86ee2a028481cefa44b5ddc21c8a
    sudo:
      - apt-get update
      - apt-get install -y ninja-build openjdk-17-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
      - winuwp
    prebuild:
      - source .github/workflows/versions.env
      - pushd $$flutter$$
      - git checkout -f $FLUTTER_VERSION
      - popd
      - sdkmanager 'cmake;3.18.1'
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk --release
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags v\d+.\d+.\d+
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.13.0
CurrentVersionCode: 3514
